CollectionNPS {cheddar} | R Documentation

## Collection node properties

### Description

Returns a `data.frame` of first-class and computed node properties of communities in a `CommunityCollection`.

### Usage

    CollectionNPS(collection, properties=NULL)

### Arguments

`collection` | an object of class `CommunityCollection`.
`properties` | names of the properties. These can be names of first-class properties and names of functions. Names must meet the criteria of the `properties` parameter of `NPS`.

### Details

This function is named CollectionNPS for Collection Node PropertieS. If `properties` is `NULL`, all first-class node properties are included in the returned `data.frame`.

### Value

A `data.frame`.

### Author(s)

Lawrence Hudson

### See Also

`NPS`, `CommunityCollection`

### Examples

    data(pHWebs)
    head(CollectionNPS(pHWebs), 10)

    head(CollectionNPS(pHWebs, 'M'), 10)

    # Biomass is a function
    head(CollectionNPS(pHWebs, 'Biomass'), 10)

    head(CollectionNPS(pHWebs, c(B='Biomass')), 10)

    # Several first-class and computed properties
    head(CollectionNPS(pHWebs, c('M', 'N', B='Biomass', 'TrophicSpecies',
                                 TL='PreyAveragedTrophicLevel')), 10)

    # Pass parameters to functions
    head(CollectionNPS(pHWebs,
                       list(TS1='TrophicSpecies',
                            TS2=list('TrophicSpecies', include.isolated=FALSE),
                            Iso='IsIsolatedNode')), 10)

[Package cheddar version 0.1-633 Index]